<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Absolute Positioning Demo</title>
    <style>
        * {
            font-family: Arial;
            margin: 0;
            padding: 0;
        }

        html,
        body {
            width: 100%;
            height: 100%;
        }
        #div1 {
            background: dodgerblue;
            color: white;
            font-size: 1.3em;
            width: 150px;
            height: 150px;
            position: absolute;
            left: 760px;
            top: 75px;
            z-index: 3;
        }
        #div2 {
            background: darkorange;
            color: white;
            font-size: 1.3em;
            width: 500px;
            height: 500px;
            left: 100px;
            top: 10px;
            position: relative;
            z-index: 2;
        }
        #div3{
            width: 100%;
            height: 50px;
            background: deeppink;
            color: white;
            position: fixed;
            top: 0px;
            left: 0px;
            z-index: 4;
        }
        .top-headline {
            margin-top: 60px;
        }
    </style>
</head>

<body>
    <h1 class="top-headline">Positioning Demo</h1>
    <div id="div2">
        Olen RELATIVE div
        <div id="div1">
            Olen ABSOLUTE div
        </div>
    </div>
    <div id="div3">
        <h1>Mina olen FIXED päis</h1>
    </div>
    Lorem ipsum, dolor sit amet consectetur adipisicing elit. Quidem consequuntur laboriosam saepe ratione, ut pariatur velit temporibus atque magni possimus sapiente eveniet amet neque nemo veritatis iure. Aliquid, excepturi adipisci!
    Lorem, ipsum dolor sit amet consectetur adipisicing elit. Delectus quibusdam provident impedit necessitatibus, aut quis culpa reiciendis vel maxime, temporibus in a suscipit numquam illum. Quaerat velit veniam modi iure.
    Lorem ipsum dolor sit amet consectetur adipisicing elit. Possimus, velit commodi! Illum vero molestias voluptatem, optio nihil qui distinctio asperiores ipsam deleniti, enim sapiente nostrum tempora nemo exercitationem, eos iusto.
    Lorem ipsum dolor sit amet consectetur adipisicing elit. Delectus quidem, earum molestias iste quam dicta, minus et ex tempore perferendis error similique deserunt nisi numquam, nobis esse quos exercitationem iure?
    Lorem ipsum dolor sit amet consectetur adipisicing elit. Laudantium unde ipsa harum consectetur repellat consequatur tempore, aliquam modi autem quam vitae atque sed vel, dolores culpa officia molestias omnis minus!
</body>

</html>